/* ================== Navbar 基本設定 ================== */
.navbar {
    padding: 0;
}

.navbar .container-fluid {
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 10px;
    padding: 20px 50px;
    box-shadow: 0 0 5px gray;
}

/* Logo */
.navbar-brand {
    padding: 0;
    margin-left: 20px;
}

.navbar-brand img {
    width: auto;
    height: 60px;
    margin: 0 auto;
    margin-right: 8px;
}

/* Toggler */
.navbar-light .navbar-toggler {
    border: none;
}

/* ================== 主選單連結 ================== */
.navbar-light .navbar-nav .nav-link {
    color: #333;
    padding: 10px 25px;
    /* border-radius: 10px; */
    transition: all 0.3s ease;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar .nav-link.active,
.navbar .nav-link.active:hover {
    color: #fff !important;
    background-color: #7ca982;
}

/* ================== Dropdown 第一層 ================== */
.nav-item.dropdown a {
    color: #333;
}

.nav-item.dropdown .nav-link {
    padding: 10px 25px;
}

.nav-item.dropdown .d-flex {
    align-items: center;
    justify-content: space-between;
}

.nav-item.dropdown .d-flex .nav-link {
    /* border-radius: 10px 0 0 10px; */
    padding-right: 10px;
}

.nav-item.dropdown .d-flex:hover .nav-link {
    color: #fff;
    background-color: #7ca982;
}

/* Menu Arrow */
.nav-item.dropdown .nav-link.menu-arrow {
    padding: 13px 20px 12px 0;
    /* border-radius: 0 10px 10px 0; */
}

.nav-item.dropdown .nav-link.menu-arrow.active,
.d-flex .nav-link.active+.menu-arrow {
    color: #fff;
    background-color: #7ca982;
    font-weight: bold;
}

/* ================== Dropdown 第二層 ================== */
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: 0.1rem;
}

/* Dropdown Item */
.dropdown-item {
    padding: 15px;
    /* border-radius: 10px; */
    color: #333;
    background-color: #fff;
    transition: all 0.3s ease;
}

.dropdown-item:hover,
.dropdown-menu .dropdown-item.active,
.dropdown-menu .dropdown-item.active:hover {
    color: #fff !important;
    background-color: #7ca982;
}

/* 限制下拉選單最多顯示 20 個項目 */
.dropdown-menu li:nth-child(n+16) {
    display: none;
}

.dropdown-menu a {
    display: block;
    max-width: 230px;
    /* 限制寬度，必要 */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /* 超出字數自動加 ... */
}

/* 有第三層的字數獨立控制 */
.dropdown-menu .dropdown-submenu .dropdown-item span {
    max-width: 9.5em;
    /* 限制寬度，必要 */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /* 超出字數自動加 ... */
}

/* ================== 桌機版設定 ================== */
@media (min-width: 768px) {
    .navbar .container-fluid {
        padding: 20px 10px;
    }

    .navbar-collapse {
        justify-content: space-around;
    }

    .navbar-collapse .navbar-nav {
        gap: 10px;
    }

    .dropdown:hover>.dropdown-menu,
    .dropdown-submenu:hover>.dropdown-menu {
        display: block;
    }

    .dropdown-submenu .dropdown-item .submenu-toggle i {
        font-size: 13px;
        margin-right: 10px;
    }
}

@media (min-width: 992px) {
    .navbar .container-fluid {
        padding: 15px 50px;
    }

    .navbar-collapse .navbar-nav {
        gap: 20px;
    }

    .mobile-menu .close-btn {
        display: none;
    }
}

@media (min-width: 1400px) {
    .navbar .container-fluid {
        padding: 15px 100px;
    }

    .navbar-collapse .navbar-nav {
        gap: 30px;
    }
}

@media (min-width: 1920px) {
    .navbar .container-fluid {
        padding: 15px 300px;
    }

    .nav-item.dropdown .nav-link.menu-arrow {
        padding-bottom: 12px;
    }
}

@media (max-width: 1400px) {
    .navbar-light .navbar-nav {
        align-items: baseline;
    }

    .navbar-light .navbar-nav .nav-link {
        padding: 10px 15px;
        white-space: nowrap;
    }

    .nav-item.dropdown .d-flex .nav-link {
        padding-right: 5px;
    }

    .nav-item.dropdown .d-flex .nav-link.menu-arrow {
        padding: 12px 10px 12px 0;
    }
}

/* ================== 手機版設定 ================== */
@media (max-width: 991.98px) {
    .navbar .container-fluid {
        /* flex-direction: row-reverse; */
        padding: 10px;
    }

    .navbar-brand.d-flex {
        padding: 0;
        margin: 0 auto;
        text-align: center;
    }

    .navbar-brand img {
        /* margin: 0; */
        width: auto;
        max-height: 50px;
        margin-right: 13px;
    }

    .navbar-toggler {
        margin-right: 20px;
    }

    .navbar-light .navbar-nav {
        max-width: 350px;
        margin: 0 auto;
        width: 100%;
    }

    .nav-item,
    .nav-item.dropdown {
        width: 100%;
    }
    .nav-item{
        border-bottom: 1px solid #ededed;
    }
    /* .nav-item:nth-of-type(1){
        border-top: 1px solid #ededed;
    } */
    .nav-link {
        margin: 5px;
        width: 95%;
        font-size: 14px;
        
    }

    .nav-item.dropdown a {
        font-size: 14px;
    }

    .nav-item.dropdown .d-flex {
        justify-content: flex-start;
        margin: 5px;
        margin-right: 7px;
    }

    .nav-item.dropdown .d-flex .nav-link {
        width: 85%;
        margin: 0;
        padding-left: 15px;
        /* border-radius: 10px 0 0 10px; */
    }

    .nav-item.dropdown .d-flex .nav-link.active {
        margin: 0;
    }

    .nav-item.dropdown .d-flex .nav-link.active~.menu-arrow {
        margin: 0;
    }

    .nav-item.dropdown .d-flex .nav-link.menu-arrow {
        width: 15%;
        padding: 0.5px 0;
        padding-right: 15px;
        margin: 0;
        line-height: 41px;
        font-size: 13.4px;
        /* border-radius: 0 10px 10px 0; */
        height: 41px;
    }

    .nav-link,
    .menu-arrow {
        border: none;
    }

    .nav-item.dropdown .d-flex:has(.nav-link.active) {
        background-color: #7ca982;
    }

    /* Arrow 與連結同步變色 */
    .nav-item.dropdown .d-flex .nav-link:hover,
    .nav-item.dropdown .d-flex .nav-link.active,
    .nav-item.dropdown .d-flex .nav-link:hover+.menu-arrow,
    .nav-item.dropdown .d-flex .nav-link.active+.menu-arrow,
    .nav-item.open>.d-flex .nav-link,
    .nav-item.open>.d-flex .menu-arrow {
        color: #fff;
        background-color: #7ca982;
    }

    /* Dropdown 顯示控制 */
    .nav-item .dropdown-menu,
    .dropdown-submenu .dropdown-menu {
        display: none;
    }

    .nav-item.open>.dropdown-menu,
    .dropdown-submenu .dropdown-menu.show {
        display: block;
    }

    .nav-item.open>.dropdown-menu {
        margin-left: 5px;
    }
    .nav-item >.dropdown-menu{
        border: none;
    }
    .nav-item .dropdown-menu .dropdown-item{
        padding-left: 15px;
    }
    .dropdown-submenu .dropdown-menu {
        margin-left: 0;
    }

    .dropdown-menu .dropdown-item {
        width: 95%;
        padding: 10px 10px;
        margin: 5px;
        border-bottom: 1px solid #ededed;
    }
    .dropdown-menu > li:last-child .dropdown-item {
        border-bottom: none;
      }
    .dropdown-submenu .dropdown-item {
        justify-content: space-between;
        border-bottom: 1px solid #ededed;
    }
    
    .dropdown-submenu .dropdown-menu .dropdown-item{
        padding-left: 20px;
        
    }
    .dropdown-submenu .dropdown-item .submenu-toggle i {
        transform: rotate(90deg);
        margin-right: 15px;
        font-size: 13px;
    }
    /* 手機板的右側選單 */
    .mobile-menu {
        position: fixed;
        /* 固定位置 */
        /* top: 69px; */
        top: 0;
        right: -250px;
        /* 初始在左側外面 */
        width: 250px;
        /* 選單寬度 */
        height: 100vh !important;
        background-color: #fff;
        box-shadow: 2px 4px 5px rgba(0, 0, 0, 0.3);
        transition: right 0.3s ease;
        z-index: 1050;
        overflow-y: auto;
        /* 選單多時可滾動 */
    }

    /* 展開時 */
    .mobile-menu.show {
        right: 0;
        /* 滑入 */
    }
    /* 關閉按鈕 */
    .mobile-menu .close-btn {
        border: none;
        background: transparent;
        font-size: 20px;
        position: absolute;
        top: 15px;
        right: 20px;
        cursor: pointer;
        color: #333;
    }

    .mobile-menu .navbar-nav {
        margin-top: 70px;
    }

    /* 隱藏 collapse 原本動畫影響 */
    .mobile-menu.collapse {
        display: block !important;
        height: 100vh !important;
        /* overflow: visible !important; */
    }

    .dropdown-submenu>.dropdown-menu {
        display: none;
        border: none;
    }

    /* 展開時顯示 */
    .dropdown-submenu.open>.dropdown-menu {
        display: block;
    }
    /* 第二層字數限制 */
    .dropdown .d-flex .nav-link {
        max-width: 16.1em;
        /* 限制寬度，必要 */
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        /* 超出字數自動加 ... */
    }

    /* 有第三層的字數獨立控制 */
    .dropdown-menu .dropdown-submenu .dropdown-item span {
        max-width: 15em;
        /* 限制寬度，必要 */
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        /* 超出字數自動加 ... */
    }

}

/* ================== 特殊小尺寸 ================== */
@media (max-width: 360px) {
    .navbar .container-fluid {
        justify-content: flex-start;
    }

    .navbar-brand {
        margin: 0;
    }

    .navbar-brand img {
        width: auto;
        margin: 0;
        max-height: 38px;
    }

    .navbar-toggler {
        margin: 0;
    }
}

/* ================== 自訂箭頭 ================== */
.dropdown-toggle::after {
    display: none;
}

.menu-arrow {
    cursor: pointer;
    padding: 0 6px;
    font-size: 0.8rem;
}